package com.ruoyi.system.mapper.grid;

import com.ruoyi.system.domain.grid.GridPublicOpinions;
import com.ruoyi.system.domain.grid.GridPublicOpinionsExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface GridPublicOpinionsMapper {
    long countByExample(GridPublicOpinionsExample example);

    int deleteByExample(GridPublicOpinionsExample example);

    int deleteByPrimaryKey(String id);

    int insert(GridPublicOpinions record);

    int insertSelective(GridPublicOpinions record);

    List<GridPublicOpinions> selectByExample(GridPublicOpinionsExample example);

    GridPublicOpinions selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") GridPublicOpinions record, @Param("example") GridPublicOpinionsExample example);

    int updateByExample(@Param("record") GridPublicOpinions record, @Param("example") GridPublicOpinionsExample example);

    int updateByPrimaryKeySelective(GridPublicOpinions record);

    int updateByPrimaryKey(GridPublicOpinions record);
}
